import React, { Suspense } from 'react'
import MarkCards from '@/components/markcard/MarkCardsClient'

export default async function page({
  params,
}: {
  params: Promise<{ url?: string[] }>
}) {
  const url = (await params).url

  return (
    <div className='space-y-4'>
      <div className='text-3xl font-bold flex justify-center'>MarkCards</div>
      <div className='flex justify-center'>
        <Suspense fallback={<p>loading...</p>}>
          <MarkCards fileUrl={url} canEdit={false}/>
        </Suspense>
      </div>
    </div>
  )
}
